Skip to main content
PATCH
/
customers
/
{id}
Update customer partially
curl --request PATCH \
  --url https://api.getmembrane.com/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "internalId": "<string>",
  "name": "<string>",
  "fields": {},
  "credentials": {},
  "aiCreditsRolling30DayLimit": 1
}
'
{
  "id": "<string>",
  "name": "<string>",
  "internalId": "<string>",
  "meta": {},
  "fields": {},
  "credentials": {},
  "lastActiveAt": "<string>",
  "isTest": true,
  "isBillable": true,
  "isActive": true,
  "aiCreditsRolling30DayLimit": 1,
  "createdAt": "<string>",
  "archivedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
internalId
string
name
string
fields
object
credentials
object
aiCreditsRolling30DayLimit
number | null
Required range: x >= 0

Response

200 - application/json
id
string
required
name
string
required
internalId
string
required
meta
object
fields
object
credentials
object
lastActiveAt
string
isTest
boolean
isBillable
boolean
isActive
boolean
aiCreditsRolling30DayLimit
number | null
Required range: x >= 0
createdAt
string
archivedAt
string